List recent detections with optional query parameters for filtering.Documentation Index
Fetch the complete documentation index at: https://docs.blocklight.co/llms.txt
Use this file to discover all available pages before exploring further.
Endpoint
Query Parameters
| Parameter | Type | Description | Default |
|---|---|---|---|
limit | number | Number of results | 50 |
offset | number | Pagination offset | 0 |
severity | string | Filter by priority (NOTICE, WARNING, CRITICAL) | - |
chain | string | Filter by blockchain (ethereum, polygon, etc.) | - |
rule | string | Filter by rule name | - |
Example Requests
Response
Response Fields
| Field | Type | Description |
|---|---|---|
count | number | Number of detections returned |
detections | array | Array of detection objects |
detections[].id | string | Unique detection ID |
detections[].rule_name | string | Name of the rule that triggered |
detections[].detector_name | string | Detector name (same as rule_name) |
detections[].severity | string | Severity level (NOTICE, WARNING, CRITICAL) |
detections[].priority | string | Priority level (same as severity) |
detections[].chain | string | Blockchain network |
detections[].type | string | Detection type (usually “rule”) |
detections[].tx_hash | string | Transaction hash |
detections[].block_number | number | Block number |
detections[].timestamp | string | Detection timestamp (ISO 8601) |
detections[].description | string | Alert message/description |
detections[].tags | array | Rule tags |
detections[].metadata | object | Additional transaction metadata |
Pagination: Use
limit and offset for large result sets. Maximum limit is 1000.